| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
FloatValue Class Reference

Double floating point value. More...

`#include <Value.h>`

Inheritance diagram for FloatValue:

## Public Member Functions
| FloatValue ()
| Constructor.
| FloatValue (double value)
| Constructor. More...
| FloatValue (float value)
| Constructor. More...
| FloatValue (const FloatValue &other)
| Copy constructor. More...
FloatValue & | operator= (const FloatValue &other)
| Assign operator. More...
virtual std::string | getTypeName () const
| Get FloatValue type name. More...
virtual size_t | getSize () const
| Get FloatValue type size. More...
double | getValue () const
| This function returns value. More...
| operator double () const
| Casting operator returns value. More...
| operator float () const
| Casting operator returns value. More...
FloatValue & | operator= (double value)
| Assign operator. More...
FloatValue & | operator= (float value)
| Assign operator. More...
virtual std::string | toString () const
| Get FloatValue type string representation. More...
virtual Value * | clone () const
| Clone FloatValue. More...
Public Member Functions inherited from Value
| Value (value_type_t theType)
| Constructor. More...
virtual | ~Value ()
| Destructor.
virtual value_type_t | getType () const
| Get Value type. More...

## Protected Attributes
double | m_value
| The double value.

## Detailed Description

Double floating point value.

## Constructor & Destructor Documentation

FloatValue::FloatValue | ( | double | value | ) |
| inline

Constructor.

Parameters

  [in] | value | FloatValue value.

FloatValue::FloatValue | ( | float | value | ) |
| inline

Constructor.

Parameters

  [in] | value | FloatValue value.

FloatValue::FloatValue | ( | const FloatValue & | other | ) |
| inline

Copy constructor.

Parameters

  [in] | other | FloatValue to copy.

## Member Function Documentation

virtual Value* FloatValue::clone | ( |  | ) | const
| inline virtual

Clone FloatValue.

Returns
  Cloned FloatValue.

Implements Value.

virtual size_t FloatValue::getSize | ( |  | ) | const
| inline virtual

Get FloatValue type size.

Returns
  FloatValue type size.

Implements Value.

virtual std::string FloatValue::getTypeName | ( |  | ) | const
| inline virtual

Get FloatValue type name.

Returns
  FloatValue type name.

Implements Value.

double FloatValue::getValue | ( |  | ) | const
| inline

This function returns value.

Returns
  value FloatValue value.

FloatValue::operator double | ( |  | ) | const
| inline

Casting operator returns value.

Returns
  value FloatValue value.

FloatValue::operator float | ( |  | ) | const
| inline

Casting operator returns value.

Returns
  value FloatValue value.

FloatValue& FloatValue::operator= | ( | const FloatValue & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | FloatValue to copy.

Returns
  FloatValue reference.

FloatValue& FloatValue::operator= | ( | double | value | ) |
| inline

Assign operator.

Parameters

  [in] | value | FloatValue value.

Returns
  FloatValue reference.

FloatValue& FloatValue::operator= | ( | float | value | ) |
| inline

Assign operator.

Parameters

  [in] | value | FloatValue value.

Returns
  FloatValue reference.

virtual std::string FloatValue::toString | ( |  | ) | const
| inline virtual

Get FloatValue type string representation.

Returns
  FloatValue type string representation.

Implements Value.

The documentation for this class was generated from the following file:

- Value.h